% Anderson's example of use of Hotelling's T-squared statistic.
% Two-sample problem, p. 167
% "An Introduction to Multivariate Statistics", T.W. Anderson, 1984
% Test is that mean of one population equals that of a second population.
%	Var	measurement		flower
%	x1	sepal length	Iris versicolor
%	x2	sepal width		Iris versicolor
%	x3	petal length	Iris versicolor
%	x4	petal width		Iris versicolor
%	N1=50
%	y1	sepal length	Iris setosa
% 	y2	sepal width		Iris setosa
%	y3	petal length	Iris setosa
%	y4	petal width		Iris setosa
%	N2=50
% See file Fisher_irisdata.m for numerical data
% LNT 21-Nov-99

Fisher_irisdata;	% load the data
alpha = 0.05;		% establish a significance level

% test hypothesis that mean vector is zero
m=zeros(4,1);
[T2,xbar,df1,df2,F_data] = T2OneMean(x,m,alpha)

% test hypothesis that two populations have the same mean vectors
[T2,xbar,ybar,df1,df2,F_data]=T2TwoMeans(x,y,alpha)
