function s = FourierSeries(f) 
% Create a string variable defining a trigonometrical Fourier series f(x)
%
% Use:  s = FourierSeries(f) 
%		x=[0:10]; L=11; y=eval (s); plot(x,y,'bo-')
%
% Input arguments:	f = vector of Fourier coefficients returned by DFT.m
%
% Output arguments:  s = an executable string
%
% LNT 21-Feb-00

if min(size(f)) ~= 1
	error('Input must be a vector');	
end

s = num2str(f(1)/sqrt(2));						% start with DC term
%s='';
k = 0;

for j = 2:2:length(f)
	k = k+1;
	
	if j+1 <= length(f)
		str = [' + ',num2str(f(j)),'*cos(2*pi*x*',num2str(k),'/L) '];
		str = [str,' + ',num2str(f(j+1)),'*sin(2*pi*x*',num2str(k),'/L) '];
	end;

	if j == length(f)	% special handling of last term when D is even
		str=[' + ',num2str(f(j)/sqrt(2)),'*cos(2*pi*x*',num2str(k),'/L) '];
	end;

	s = [s,str];		% append to other terms

end
