function y = Rayleigh(r,alpha)
% Rayleigh - the Rayleigh probability density function
% From Papoulis (1965) p 104. and p. 148 (moments)
%
% Syntax:  y = Rayleigh(r,alpha);
% 
% Input arguments: 
%  r = vector of non-negative values for which y(r) is required
%  alpha = parameter that determines mean and variance of y(r)
%
% Output arguments:
%  y = computed values of the probability density function
%
% LNT 26Nov2012

y = (r/alpha^2).*exp(-(r/(2*alpha).^2));

