function y = rect(x,center,width)
%RECT(X) = unit amplitude pulse.
%
% Use:	y = rect(x,center,width)
% 
% Input:	x = vector of sample times
%			center = x-value at center of pulse (default = 0)
%			width = width of pulse (default = 1)
%
% Output: y is a vector = 1 for abs(x-center) <= 0.5*width
%						= 0 otherwise 
% 
% See also: SQUARE, RECTPULS (and other waveform generators in signal
%   processing toolbox) 
%LNT. 2-NOV-94. LNT 30Mar00 add center and width parameters

if nargin<3
	width = 1;								% default
end

if nargin<2
	center = 0; 							% default
end

y = zeros(size(x));          				% prefilled result with zeros
i = find(abs(x-center) <= 0.5*width);     	% index of values to be changed
y(i) = 1;		         					% replace zeros with ones
